#
# spec file for package dhlog (Version 0.1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         dhlog
Copyright:    unknown
Group:        Utilities/Hamradio
Summary:      Amateur Radio Logbook
Version:      0.1.4
Release:      238
Source0:      dhlog-0.1.4.tar.gz
Patch0: dhlog-0.1.4.dif

%description
A program that helps you to keep an amateur radio logbook.

Authors:
--------
    Henning Folger <hf@holgu.de>

SuSE series: kde

%prep
%setup -n dhlog-0.1.4
echo "Patch #0 (dhlog-0.1.4.dif):"
patch -p0  -E -s < /usr/src/packages/SOURCES/dhlog-0.1.4.dif

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f}}
MYCXXFLAGS=$CXXFLAGS
%ifarch ia64 
MYCXXFLAGS="$MYCXXFLAGS -fno-operator-names"
%endif
CXXFLAGS="$MYCXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./dhlog/Makefile.in --reference=./aclocal.m4
touch ./dhlog/docs/en/Makefile.in --reference=./aclocal.m4
touch ./dhlog/docs/Makefile.in --reference=./aclocal.m4
touch ./configure --reference=./aclocal.m4
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
make

%install
make install
install -d -m 755 %{_docdir}/dhlog
install -m 644 ./COPYING %{_docdir}/dhlog
install -m 644 ./AUTHORS %{_docdir}/dhlog
install -m 644 ./ChangeLog %{_docdir}/dhlog
install -m 644 ./INSTALL %{_docdir}/dhlog
install -m 644 ./README %{_docdir}/dhlog

%files
%docdir /usr/doc
%docdir /usr/man
%docdir /opt/kde/share/doc
%dir /opt/kde/share/doc/HTML/en/dhlog
%dir %{_docdir}/dhlog
/opt/kde/bin/dhlog
/opt/kde/share/applnk/Applications/dhlog.kdelnk
/opt/kde/share/doc/HTML/en/dhlog/index-1.html
/opt/kde/share/doc/HTML/en/dhlog/index-2.html
/opt/kde/share/doc/HTML/en/dhlog/index-3.html
/opt/kde/share/doc/HTML/en/dhlog/index-4.html
/opt/kde/share/doc/HTML/en/dhlog/index-5.html
/opt/kde/share/doc/HTML/en/dhlog/index-6.html
/opt/kde/share/doc/HTML/en/dhlog/index.html
/opt/kde/share/icons/dhlog.xpm
/opt/kde/share/icons/ontimelog.xpm
/opt/kde/share/locale/de/LC_MESSAGES/dhlog.mo
%{_docdir}/dhlog/AUTHORS
%{_docdir}/dhlog/ChangeLog
%{_docdir}/dhlog/COPYING
%{_docdir}/dhlog/INSTALL
%{_docdir}/dhlog/README

%changelog -n dhlog
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Fri Aug 10 2001 - ro@suse.de
- autoconf 2.52 fixes
* Fri May 04 2001 - adrian@suse.de
- remove kbase from #neededforbuild
* Tue Feb 20 2001 - sf@suse.de
- added suse_update_config
- added -fno-operator-names for ia64
* Sat Dec 09 2000 - nashif@suse.de
- sorted
* Thu Jun 08 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Tue Jun 06 2000 - adrian@suse.de
- update to 0.1.4
* Wed May 24 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Wed May 24 2000 - adrian@suse.de
- Spec file created from dhlog-0.1.3.tar.gz by autospec
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Thu Dec 02 1999 - kettner@suse.de
- Spec file created from dhlog-0.1.3.tar.gz by autospec
